//go:build prod
// +build prod

package Frontend

import (
	"embed"
	"io/fs"
	"log"
)

//go:embed Frontend/vue/dist
var frontend embed.FS

func GetFrontendAssets() fs.FS {
	var (
		stripped fs.FS
		err      error
	)
	stripped, err = fs.Sub(frontend, "Frontend/vue/dist")
	if err != nil {
		log.Fatalln(err)
	}

	return stripped
}
