package Models

import (
	"time"
)

type User struct {
	Base
	Email           string     `gorm:"not null;unique" json:"email"`
	Password        string     `gorm:"not null" json:"password,omitempty"`
	ConfirmPassword string     `gorm:"-" json:"confirm_password"`
	LastLogin       *time.Time `json:"last_login"`
	FirstName       string     `gorm:"not null" json:"first_name"`
	LastName        string     `gorm:"not null" json:"last_name"`
}
